Subject: Re: bug#21531: 24.4; Segmentation fault in glib/emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 17 Aug 2019 14:35:53 -0700

Márcio Dick Smiderle <[email-masked]> writes:

> I was using emacs with lots of buffers of varied size (from some kbytes
> to 25 megabytes) for a couple of days and between some system
> hibernations.
> I have saved two core files. I can upload the xzipped core files to some
> server upon your request (35 and 58 MB).
>
> First backtrace (547MB core file):
>
> (gdb) bt full
> #0  0x00007f25d54df79b in raise (sig=sig@entry=11) at
> ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:37
>         resultvar = 0
>         pid = <optimized out>
> #1  0x00000000004e9fc6 in terminate_due_to_signal (sig=sig@entry=11,
> backtrace_limit=backtrace_limit@entry=40) at emacs.c:378
> No locals.
> #2  0x00000000005023ae in handle_fatal_signal (sig=sig@entry=11) at
> sysdep.c:1630
> No locals.

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

This crash wasn't handled at the time, and as this was reported more
than three years ago, I don't think there's much chance of making any
progress here, so I'm closing this bug report.  If you're still seeing
similar crashes in modern Emacs versions, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no